Subject: Re: [xml2rfc-dev] When did v2v3 stop spewing redundant attributes?

From: Kesara Rathnayake <[email-masked]>
Date: Mon, 7 Mar 2022 16:56:47 +1300

On 27/02/22 1:07 pm, Carsten Bormann wrote:
> We have a little mystery over in https://github.com/cabo/kramdown-rfc/issues/162
> 
> The xml2rfc v2v3 code used to output redundant attributes of the form
> 
> <section anchor="sdfevent" numbered="true" toc="default”>
> 
> where numbered and toc have their default values (and weren’t set on the input side either).
> 
> This seems to have stopped with xml2rfc 3.12.1.
> 
> I have a few instances generated from 3.11.1 v2v3 that look like the above, and I have a few from the same version that look like
> 
> <section anchor="clarifications" toc="default”>
> 
> (i.e., one redundant attribute gone, one still there).
> 
> Previous versions (3.10.0 or earlier) consistently output the redundant attributes.
> 
> Now the mystery:
> When downgrading to, say, 3.9.1, the problem does not recur (!).
> 
> Where was this fixed?  In xml2rfc or maybe some of its dependencies?

I think I uncovered the mystery.
If a document has `SYSTEM "rfc2629.dtd"` doctype definition, xml2rfc 
adds `toc` and `default` attributes.

Since kramdown-rfc 1.5.25, only v2 output adds the `rfc2629.dtd` doctype 
defintion [1].

   --Kesara

[1] 
https://github.com/cabo/kramdown-rfc/commit/276a531e12cb7eab29ae904ba3397f5fa30b25a5
> 
> I’m not asking for the bug to be put back in, but it would help if we could understand what the shape of the set of instances is that have this problem.
> 
> (Note that this is a discussion about documents in processable form (“unprepped”, editable); not an attempt to bring up the discussion whether default values are needed in prepped (final published form) XML documents.)
> 
> Grüße, Carsten
> 
> _______________________________________________
> xml2rfc-dev mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc-dev

-- 
Kesara Rathnayake
Senior Software Development Engineer - IETF LLC
[email-masked]